Skip to main content
GET
List entity descriptors

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

yaml
boolean

When true, returns the YAML representation of the descriptors

types
string[]

Filter the response to specific types of entities. By default, this includes services, resources, and domains. Corresponds to the x-cortex-type field in the entity descriptor.

pageSize
integer<int32>
required

Number of entities to return per page

page
integer<int32>
required

Page number to return, 0 indexed

includeArchived
boolean

Whether to include archived entities in the response

Response

Successfully retrieved entity descriptors

descriptors
string[]
required
page
integer<int32>
required

Current page number, 0-indexed

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 24, 2026